{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Docker-ecs",
                "title": "Docker containers [Metricbeat Docker] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": 1, \"direction\": \"asc\"}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 8, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": true}, \"aggs\": [{\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"container.name\", \"customLabel\": \"Name\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"field\": \"docker.cpu.total.pct\", \"customLabel\": \"CPU usage (%)\"}, \"id\": \"3\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"docker.diskio.total\", \"customLabel\": \"DiskIO\"}, \"id\": \"4\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"docker.memory.usage.pct\", \"customLabel\": \"Mem (%)\"}, \"id\": \"5\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"docker.memory.rss.total\", \"customLabel\": \"Mem RSS\"}, \"id\": \"6\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"container.id\", \"customLabel\": \"Number of Containers\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}], \"listeners\": {}, \"type\": \"table\", \"title\": \"Docker containers [Metricbeat Docker] ECS\"}"
            },
            "col": 1,
            "id": "Docker-containers-ecs",
            "panelIndex": 1,
            "row": 1,
            "size_x": 7,
            "size_y": 5,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Docker-ecs",
                "title": "Number of Containers [Metricbeat Docker] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"fontSize\": \"36\", \"type\": \"gauge\", \"gauge\": {\"percentageMode\": false, \"type\": \"simple\", \"colorSchema\": \"Green to Red\", \"gaugeStyle\": \"Full\", \"labels\": {\"color\": \"black\", \"show\": true}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"orientation\": \"vertical\", \"autoExtend\": false, \"useRange\": false, \"verticalSplit\": false, \"style\": {\"fontSize\": 60, \"bgColor\": false, \"labelColor\": false, \"subText\": \"\"}, \"backStyle\": \"Full\", \"gaugeColorMode\": \"None\", \"invertColors\": false, \"gaugeType\": \"Metric\", \"scale\": {\"color\": \"#333\", \"show\": false, \"labels\": false, \"width\": 2}}, \"addLegend\": false, \"addTooltip\": true, \"handleNoResults\": true}, \"aggs\": [{\"params\": {\"field\": \"docker.info.containers.running\", \"customLabel\": \"Running\"}, \"id\": \"2\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"docker.info.containers.paused\", \"customLabel\": \"Paused\"}, \"id\": \"3\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"docker.info.containers.stopped\", \"customLabel\": \"Stopped\"}, \"id\": \"4\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}], \"listeners\": {}, \"type\": \"metric\", \"title\": \"Number of Containers [Metricbeat Docker] ECS\"}"
            },
            "col": 8,
            "id": "Docker-Number-of-Containers-ecs",
            "panelIndex": 2,
            "row": 1,
            "size_x": 5,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Docker-ecs",
                "title": "Docker containers per host [Metricbeat Docker] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"isDonut\": true, \"addTooltip\": true, \"addLegend\": true, \"legendPosition\": \"bottom\"}, \"aggs\": [{\"params\": {\"field\": \"container.id\", \"customLabel\": \"Number of containers\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"agent.hostname\", \"customLabel\": \"Hosts\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"listeners\": {}, \"type\": \"pie\", \"title\": \"Docker containers per host [Metricbeat Docker] ECS\"}"
            },
            "col": 8,
            "id": "Docker-containers-per-host-ecs",
            "panelIndex": 3,
            "row": 3,
            "size_x": 2,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Docker-ecs",
                "title": "Docker images and names [Metricbeat Docker] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"isDonut\": true, \"addTooltip\": true, \"addLegend\": true, \"legendPosition\": \"bottom\"}, \"aggs\": [{\"params\": {}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"field\": \"container.image.name\", \"orderBy\": \"1\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"order\": \"desc\", \"field\": \"container.name\", \"orderBy\": \"1\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"listeners\": {}, \"type\": \"pie\", \"title\": \"Docker images and names [Metricbeat Docker] ECS\"}"
            },
            "col": 10,
            "id": "Docker-images-and-names-ecs",
            "panelIndex": 7,
            "row": 3,
            "size_x": 3,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlight\": {\"fragment_size\": 2147483647, \"post_tags\": [\"@/kibana-highlighted-field@\"], \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false}, \"index\": \"metricbeat-*\", \"filter\": [], \"query\": {\"language\": \"kuery\", \"query\": \"event.module:docker AND metricset.name:cpu\"}}"
                },
                "title": "CPU usage [Metricbeat Docker] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"smoothLines\": true, \"times\": [], \"seriesParams\": [{\"interpolate\": \"linear\", \"mode\": \"stacked\", \"showCircles\": true, \"type\": \"area\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"show\": \"true\", \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Count\"}}], \"addTimeMarker\": false, \"defaultYExtents\": false, \"setYExtents\": false, \"addTooltip\": true, \"yAxis\": {}, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"top\", \"interpolate\": \"linear\", \"mode\": \"stacked\", \"scale\": \"linear\", \"addLegend\": true, \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"percents\": [75], \"field\": \"docker.cpu.total.pct\", \"customLabel\": \"Total CPU time\"}, \"id\": \"1\", \"type\": \"percentiles\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"interval\": \"auto\", \"min_doc_count\": 1, \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"extended_bounds\": {}}, \"id\": \"2\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1.75\", \"field\": \"container.name\", \"customLabel\": \"Container name\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}], \"listeners\": {}, \"type\": \"area\", \"title\": \"CPU usage [Metricbeat Docker] ECS\"}"
            },
            "col": 1,
            "id": "Docker-CPU-usage-ecs",
            "panelIndex": 4,
            "row": 6,
            "size_x": 6,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlight\": {\"fragment_size\": 2147483647, \"post_tags\": [\"@/kibana-highlighted-field@\"], \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false}, \"index\": \"metricbeat-*\", \"filter\": [], \"query\": {\"language\": \"kuery\", \"query\": \"event.module:docker AND metricset.name:memory\"}}"
                },
                "title": "Memory usage [Metricbeat Docker] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"smoothLines\": false, \"times\": [], \"seriesParams\": [{\"interpolate\": \"linear\", \"mode\": \"stacked\", \"showCircles\": true, \"type\": \"area\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"show\": \"true\", \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Count\"}}], \"addTimeMarker\": false, \"defaultYExtents\": false, \"setYExtents\": false, \"addTooltip\": true, \"yAxis\": {}, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"top\", \"interpolate\": \"linear\", \"mode\": \"stacked\", \"scale\": \"linear\", \"addLegend\": true, \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"docker.memory.usage.total\", \"customLabel\": \"Memory\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"interval\": \"auto\", \"min_doc_count\": 1, \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"extended_bounds\": {}}, \"id\": \"2\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"container.name\", \"customLabel\": \"Container name\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}], \"listeners\": {}, \"type\": \"area\", \"title\": \"Memory usage [Metricbeat Docker] ECS\"}"
            },
            "col": 7,
            "id": "Docker-memory-usage-ecs",
            "panelIndex": 5,
            "row": 6,
            "size_x": 6,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlight\": {\"fragment_size\": 2147483647, \"post_tags\": [\"@/kibana-highlighted-field@\"], \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false}, \"index\": \"metricbeat-*\", \"filter\": [], \"query\": {\"language\": \"kuery\", \"query\": \"event.module:docker AND metricset.name:network\"}}"
                },
                "title": "Network IO [Metricbeat Docker] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"smoothLines\": true, \"times\": [], \"seriesParams\": [{\"interpolate\": \"linear\", \"mode\": \"stacked\", \"showCircles\": true, \"type\": \"area\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"show\": \"true\", \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Count\"}}], \"addTimeMarker\": false, \"defaultYExtents\": false, \"setYExtents\": false, \"addTooltip\": true, \"yAxis\": {}, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"top\", \"interpolate\": \"linear\", \"mode\": \"stacked\", \"scale\": \"linear\", \"addLegend\": true, \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"docker.network.in.bytes\", \"customLabel\": \"IN bytes\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"interval\": \"auto\", \"min_doc_count\": 1, \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"extended_bounds\": {}}, \"id\": \"2\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"container.name\", \"customLabel\": \"Container name\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"field\": \"docker.network.out.bytes\", \"customLabel\": \"OUT bytes\"}, \"id\": \"4\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}], \"listeners\": {}, \"type\": \"area\", \"title\": \"Network IO [Metricbeat Docker] ECS\"}"
            },
            "col": 1,
            "id": "Docker-Network-IO-ecs",
            "panelIndex": 6,
            "row": 9,
            "size_x": 12,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "columns": [
                    "_source"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlight\": {\"fragment_size\": 2147483647, \"post_tags\": [\"@/kibana-highlighted-field@\"], \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false}, \"index\": \"metricbeat-*\", \"filter\": [], \"query\": {\"language\": \"kuery\", \"query\": \"event.module:docker\"}}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Metricbeat Docker ECS",
                "version": 1
            },
            "id": "Metricbeat-Docker-ecs",
            "type": "search",
            "version": 4
        },
        {
            "attributes": {
                "description": "Overview of docker containers",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [], \"version\": true}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"col\": 1, \"id\": \"Docker-containers-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 5, \"size_x\": 7, \"panelIndex\": 1}, {\"col\": 8, \"id\": \"Docker-Number-of-Containers-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 2, \"size_x\": 5, \"panelIndex\": 2}, {\"col\": 8, \"id\": \"Docker-containers-per-host-ecs\", \"row\": 3, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 2, \"panelIndex\": 3}, {\"col\": 10, \"id\": \"Docker-images-and-names-ecs\", \"row\": 3, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 3, \"panelIndex\": 7}, {\"col\": 1, \"id\": \"Docker-CPU-usage-ecs\", \"row\": 6, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 6, \"panelIndex\": 4}, {\"col\": 7, \"id\": \"Docker-memory-usage-ecs\", \"row\": 6, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 6, \"panelIndex\": 5}, {\"col\": 1, \"id\": \"Docker-Network-IO-ecs\", \"row\": 9, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 12, \"panelIndex\": 6}]",
                "timeRestore": false,
                "title": "[Metricbeat Docker] Overview ECS",
                "uiStateJSON": "{\"P-7\": {\"vis\": {\"legendOpen\": true}}, \"P-2\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}, \"P-3\": {\"vis\": {\"legendOpen\": true}}, \"P-1\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": 1, \"direction\": \"asc\"}}}}, \"P-5\": {\"vis\": {\"legendOpen\": true}}}",
                "version": 1
            },
            "id": "AV4REOpp5NkDleZmzKkE-ecs",
            "type": "dashboard",
            "version": 3
        }
    ],
    "version": "5.6.0-SNAPSHOT"
}